octave-interval (3.2.1-6build1) oracular; urgency=medium

  * No-change rebuild against octave-abi-59

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 14 May 2024 09:46:13 +0000

octave-interval (3.2.1-6) unstable; urgency=medium

  * Team upload

  * d/p/display-plus-intervaltotext.patch: New patch.
    Thanks to Vincent Lefèvre for proposing the fix (Closes: #1050796)
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage URL
  * d/copyright: Update Source URL

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Aug 2023 02:47:30 -0300

octave-interval (3.2.1-5) unstable; urgency=medium

  * Team upload

  [ Rafael Laboissière ]
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 13:25:15 -0300

octave-interval (3.2.1-4) unstable; urgency=medium

  * Team upload

  * d/clean: No need for cleaning the src/*.cc-tst files
  * Proper cleaning of files generated by the configure script
    + d/patches/add-distclean-target.patch: New patch
    + d/clean, d/source/options: Adjust for the new situation
  * d/control: Build-depend in dh-octave >= 1.2.3. In this version
    dh_octave_clean removes the src/*-tst files and calls make
    distclean for cleaning the files generated by the configure
    script.

 -- Rafael Laboissière <rafael@debian.org>  Wed, 13 Jul 2022 04:34:49 -0300

octave-interval (3.2.1-3) unstable; urgency=medium

  * Team upload

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/octave-interval.install; Install /usr/{lib,share}/* files
    (Closes: #1013589)
  * d/s/options: Add src/crlibm/crlibm_config.h.in to the list of excluded files

 -- Rafael Laboissière <rafael@debian.org>  Sun, 26 Jun 2022 10:10:12 -0300

octave-interval (3.2.1-2) unstable; urgency=medium

  * Team upload
  * octave7.patch: new patch, fixes FTBFS against Octave 7 (Closes: #1009132)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 11 Apr 2022 14:21:08 +0200

octave-interval (3.2.1-1) unstable; urgency=medium

  * Team upload

  * New upstream version 3.2.1
  * d/p/clean-src-compatibility-dir.patch: Drop patch (applied upstream)
  * d/p/ignore-fesetround-tests.patch: Refresh for new upstream version
  * d/p/xtest-in-mpfr-matrix-mul-d.patch: Refresh for new upstream version
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 31 Jan 2022 03:24:35 -0300

octave-interval (3.2.0-7) unstable; urgency=medium

  * Team upload

  * This version builds correctly against Octave 6 (Closes: #976210)

  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/clean: Remove src/*.cc-tst files
  * d/rules: Honor nodoc flag in DEB_BUILD_OPTIONS
  * d/copyright: Drop redundant pattern
  * d/p/xtest-in-infsup-methods.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Dec 2020 15:18:23 -0300

octave-interval (3.2.0-6) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata:
    + Add Bug-{Database,Submit} and Repository-Browse fields
    + Drop Name and Contact fields
  * d/p/no-pkg-load-at-docs-build.patch: Set Forwarded:not-needed

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Aug 2020 12:55:01 -0300

octave-interval (3.2.0-5) unstable; urgency=medium

  * Team upload

  [ Rafael Laboissiere ]
  * d/copyright: Group identical licenses in single stanzas
  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
    This allows the injection of the virtual package octave-abi-N into
    the package's list of dependencies.

  [ Sébastien Villemot ]
  * d/copyright: use FSFUL and FSFULLR license short names (instead of
    "permissive")

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 05 Nov 2019 14:23:44 -0300

octave-interval (3.2.0-4) unstable; urgency=medium

  * Team upload

  * d/p/xtest-in-mpfr-matrix-mul-d.patch: New patch
  * d/control:
    + Drop build-dependencies on texlive packages
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * d/clean: Extend list of removed files
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:15 -0200

octave-interval (3.2.0-3) unstable; urgency=medium

  * Team upload

  * d/rules: Install missing files when running autoreconf

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 06 Oct 2018 12:40:10 -0300

octave-interval (3.2.0-2) unstable; urgency=medium

  * Team upload

  [ Oliver Heimlich ]
  * d/p/ignore-fesetround-tests.patch: Reintroduce patch for tests on armel

  [ Rafael Laboissiere ]
  * d/control: Add Rules-Requires-Root: no
  * d/control: Bump Standards-Version to 4.2.1
  * Rebuild autoconf files in src/crlibm

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 05 Oct 2018 18:04:46 -0300

octave-interval (3.2.0-1) unstable; urgency=medium

  * Team upload

  [ Oliver Heimlich ]
  * New upstream version 3.2.0

  [ Rafael Laboissiere ]
  * Dropped patches (applied upstream):
    + d/p/ignore-fesetround-tests.patch
    + d/p/ignore-unreliable-tests.patch
   + d/p/no-function-parameter-persistent.patch
     + d/p/simplify-cameleon-example.patch
  * Call clean target when cleaning the src/compatibility directory
    + d/p/clean-src-compatibility-dir.patch: New patch
  * Do not load the interval package when building the docs
    + d/p/no-pkg-load-at-docs-build.patch: New patch
    + d/rules: Adjust rule override_dh_auto_install-indep accordingly

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 05 Jul 2018 12:57:14 -0300

octave-interval (3.1.0-6) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.1.4 (no changes needed)
    + Suggest web browser instead of depending on it (Closes: #898646)
  * d/p/no-function-parameter-persistent.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 19 Jun 2018 17:10:30 -0300

octave-interval (3.1.0-5) unstable; urgency=medium

  * Team upload

  * d/control:
    + Improve wording in the octave-interval-doc package description
    + Add misc:Depends to dependencies of octave-interval-doc
  * d/rules:
    + Define variables $(debpkg) and $(package)
      They used to be defined in file octave-pkg.mk of the octave-pkg-dev
      package, which is not used anyore.
    + Only build doc for the binary-indep package (Closes: #89098)
    + Do not ignore make clean errors
  * d/check.m:  Better check of TST files
    + Include all files under insts/test/ (*.tst and *.cc-tst).
    + Do not call exit(), since dh-octave does not like it.
    + Collect statistics on test execution and show them.
  * Add DEP-3-compliant headers to the patches

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 11 Feb 2018 15:23:30 -0200

octave-interval (3.1.0-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control: Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:31:53 -0200

octave-interval (3.1.0-3) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * d/control: Use Debian's GitLab URLs in Vcs-* headers

  [ Oliver Heimlich ]
  * Simplify cameleon plot in documentation to address build timeouts

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 07 Jan 2018 15:48:48 +0100

octave-interval (3.1.0-2) unstable; urgency=medium

  * Team upload.

  [ Oliver Heimlich ]
  * Ignore results of unreliable BISTs
  * Ignore results of fesetround BISTs

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:40 -0200

octave-interval (3.1.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * Add Build-Depends on ghostscript.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL
  * d/control: Add Testsuite field
  * d/control: Bump Standards-Version to 4.1.2 (no changes needed)

  [ Oliver Heimlich ]
  * New upstream version 3.1.0
    - On x86-32 platforms w/o SSE a new compiler switch allows one to disable
      80-bit floating-point arithmetic (closes: #874135)
    - OSMesa is no longer used to render images for package documentation
      (closes: #877149)
  * d/patches/*: Discard superseded patches
  * d/control: Use secure upstream URL
  * d/copyright: Reflect upstream changes
  * d/u/metadata: Use secure upstream URL, update release year

 -- Oliver Heimlich <oheim@posteo.de>  Tue, 26 Dec 2017 21:29:55 +0100

octave-interval (2.1.0-2) unstable; urgency=medium

  * Fix build on platforms w/o SSE2

 -- Oliver Heimlich <oheim@posteo.de>  Tue, 24 Jan 2017 20:07:13 +0100

octave-interval (2.1.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Use my Debian email address
  * d/control: Ensure proper paragraph breaks in Description
  * d/u/metadata: Add citation
  * Bump debhelper compat level to 10
  * d/control: Build-depends on octave-pkg-dev >= 1.4.4

  [ Oliver Heimlich ]
  * Imported Upstream version 2.1.0
  * d/copyright: reflect upstream changes
  * d/control: Add Multi-Arch tags
  * d/rules: Fix package build error
  * d/copyright: Update FSF's postal address

  [ Sébastien Villemot ]
  * d/watch: bump to format version 4.

 -- Oliver Heimlich <oheim@posteo.de>  Sun, 15 Jan 2017 13:09:32 +0100

octave-interval (1.5.0-2) unstable; urgency=medium

  * Move documentation into separate package octave-interval-doc
  * Replace external CSS with local copy

 -- Oliver Heimlich <oheim@posteo.de>  Sat, 11 Jun 2016 10:53:43 +0200

octave-interval (1.5.0-1) unstable; urgency=medium

  [ Oliver Heimlich ]
  * Imported upstream version 1.5.0
  * Reflect upstream changes to src/Makefile
  * Copy package description from upstream source
  * Change doc format from PDF to HTML
  * d/rules: Strip test files from binary package after validation
  * d/rules: Don't copy NEWS file into binary package twice

  [ Rafael Laboissiere ]
  * d/rules: In the clean rule, remove built files from src/
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * d/control: Build-depend on octave-pkg-dev >= 1.4.0 (closes: #825895)

 -- Oliver Heimlich <oheim@posteo.de>  Sun, 05 Jun 2016 10:01:34 +0200

octave-interval (1.4.1-1) unstable; urgency=low

  * Imported Upstream version 1.4.1

 -- Oliver Heimlich <oheim@posteo.de>  Sat, 13 Feb 2016 22:00:00 +0100

octave-interval (1.4.0-1) unstable; urgency=medium

  [ Oliver Heimlich ]
  * Imported Upstream version 1.4.0
  * d/copyright: Reflect upstream changes
  * d/p/texinfo-bug46083.patch: Remove patch (applied upstream)
  * d/rules: Fix building of user manual after upstream changed doc/Makefile
  * d/check.m: Enable batch mode for testing, don't stop on first failure,
    fail package build on test failures

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 3.9.7,
    use secure URIs in the Vcs-* fields

 -- Oliver Heimlich <oheim@posteo.de>  Fri, 12 Feb 2016 23:51:21 +0100

octave-interval (1.2.0-1) unstable; urgency=low

  * Initial release (closes: #800153)

 -- Oliver Heimlich <oheim@posteo.de>  Wed, 07 Oct 2015 21:14:10 +0200
